MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000664Soldat Dedicated ServerScripting Corepublic2016-08-25 12:302020-08-27 11:22
ReporterMighty 
Assigned ToFliesLikeABrick 
PrioritynormalSeveritymajorReproducibilityalways
StatusfeedbackResolutionreopened 
Platformx64OSWindowsOS Version7
Product Version2.8.1b2 
Target VersionFixed in Version2.9.0 
Summary0000664: Incorrect Game.Team[].Count values when using OnJoin event
DescriptionVersion 2.8.1, not 2.8.1b2

Switching players teams in OnJoin event causes Game.Team[].Count values to be incorrect (higher)
Steps To Reproduce1. Write a simple OnJoin handler and assign it. Include Player.Team := 5;
2. Join game and while joining select Alpha team
3. You will land in Spectators team

Now
Game.Teams[1].Count = 1
Game.Teams[5].Count = 1

Even though there is only one person on the server
Tagsdata
John
Attached Filestxt file icon x7sd53pd.txt [^] (8 bytes) 2020-08-27 11:19 [Show Content]

- Relationships

-  Notes
(0002561)
Mighty (developer)
2016-08-25 13:13

by OnJoin event I meant Game.OnJoin

- Issue History
Date Modified Username Field Change
2016-08-25 12:30 Mighty New Issue
2016-08-25 13:13 Mighty Note Added: 0002561
2016-09-01 01:16 Falcon Status new => acknowledged
2016-10-08 21:32 Falcon Status acknowledged => resolved
2016-10-08 21:32 Falcon Fixed in Version => 2.9.0
2016-10-08 21:32 Falcon Resolution open => fixed
2016-10-08 21:32 Falcon Assigned To => Falcon
2020-08-27 11:19 MM Tag Attached: data
2020-08-27 11:19 MM Sticky Issue No => Yes
2020-08-27 11:19 MM File Added: x7sd53pd.txt
2020-08-27 11:21 MM Assigned To Falcon => FliesLikeABrick
2020-08-27 11:21 MM Status resolved => assigned
2020-08-27 11:22 MM Project Soldat Dedicated Server => John
2020-08-27 11:22 MM Status assigned => feedback
2020-08-27 11:22 MM Resolution fixed => reopened


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker